devel/p5-Context-Preserve - The NetBSD Packages Collection

Perl 5 module to run code after a subroutine call

The Perl 5 module Context::Preserve automates the process of calling
a function, getting the results, acting on the results, then returning
the result of the function in the appropriate void, scalar, or list
context.

Build dependencies

devel/p5-Test-Exception pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0earmv7hfp5-Context-Preserve-0.03nb3.tgz
NetBSD 8.0earmv7hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0i386p5-Context-Preserve-0.03nb3.tgz
NetBSD 8.0i386p5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0powerpcp5-Context-Preserve-0.03nb3.tgz
NetBSD 8.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 8.0x86_64p5-Context-Preserve-0.03nb3.tgz
NetBSD 8.0x86_64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0aarch64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0aarch64p5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0aarch64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0alphap5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0alphap5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0alphap5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0earmp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmv6hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmv6hfp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0earmv6hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmv7hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmv7hfp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0earmv7hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0earmv7hfp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0i386p5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0i386p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0i386p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0m68kp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0m68kp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0m68kp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0m68kp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0mips64ebp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0mips64ebp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0mips64ebp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0mips64ebp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0mips64ebp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0mipselp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0mipselp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0mipselp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0mipselp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0powerpcp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0powerpcp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sh3elp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sh3elp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sh3elp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sh3elp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sh3elp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sparc64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sparc64p5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sparc64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sparcp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0sparcp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sparcp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sparcp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0sparcp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0vaxp5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0vaxp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0vaxp5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0x86_64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0x86_64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0x86_64p5-Context-Preserve-0.03nb3.tgz
NetBSD 9.0x86_64p5-Context-Preserve-0.03nb4.tgz
NetBSD 9.0x86_64p5-Context-Preserve-0.03nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.